import { Base } from "./Base.mjs"

export const Unlock = {
    oncreate() {
        document.title = "Freischaltung · FS Coli Portal"
    },
    view() {
        return m(
            Base,
            m("article.box", [
                m("h1", "Zugriff auf Dienste freischalten"),
                m("h2", [
                    m("i.fa-regular.fa-envelope"),
                    " Tickets, ",
                    m("i.fa-solid.fa-list-check"),
                    " Todo",
                ]),
                m("p", [
                    "Schreibe eine Mail an ",
                    m(
                        "a",
                        { href: "mailto:fs-technik@cl.uni-heidelberg.de" },
                        m("code", "fs-technik@cl.uni-heidelberg.de"),
                    ),
                    " mit deinem CL-Account-Namen.",
                ]),
                m("h2", [m("i.fa-regular.fa-calendar-days"), " Kalender"]),
                m("p", [
                    "Erstelle einen Account bei StuRaCloud, und schreibe dann eine Mail an ",
                    m(
                        "a",
                        { href: "mailto:fs-technik@cl.uni-heidelberg.de" },
                        m("code", "fs-technik@cl.uni-heidelberg.de"),
                    ),
                    " mit dem Namen des neu erstellten Accounts.",
                ]),
                m("h2", [m("i.fa-regular.fa-note-sticky"), " Protokolle"]),
                m(
                    "p",
                    "Melde dich am GitLab an, und klicke im Protokolle-Repository auf „Request access“.",
                ),
            ]),
        )
    },
}
